Skip to main content

Render Social Ad

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTffmpeg.render_social_ad

Execute ffmpeg.render_social_ad through the broker.

Request Body

{
"jsonrpc": "2.0",
"id": "ffmpeg-render-social-ad-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.render_social_ad",
"arguments": {
"primary_asset_id": "primary_asset_id_123",
"hook": "",
"headline": "",
"cta": "",
"price": "",
"brand_kit_id": "",
"broll_asset_ids": "",
"voice_asset_id": "",
"music_asset_id": "",
"captions_srt": ""
}
}
}

Arguments Schema

{
"properties": {
"primary_asset_id": {
"type": "string"
},
"hook": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"headline": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"cta": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"price": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"brand_kit_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"broll_asset_ids": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "null"
}
]
},
"voice_asset_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"music_asset_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"captions_srt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"captions_vtt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"words_json": {
"anyOf": [
{
"items": {
"additionalProperties": true,
"type": "object"
},
"type": "array"
},
{
"type": "null"
}
]
},
"highlight_mode": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"include_16_9": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"quality": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"framing_mode": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caption_position": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caption_font_size": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"caption_font_color": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caption_box_color": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caption_box_opacity": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"caption_highlight_color": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caption_padding_px": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"caption_max_chars": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"caption_max_lines": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"caption_max_words": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"safe_zone_profile": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caption_safe_zone_bottom_px": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"caption_safe_zone_top_px": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"caption_font_name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"caption_font_asset_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"audio_target_lufs": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"audio_lra": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"audio_true_peak": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"ducking_ratio": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"ducking_threshold": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"ducking_attack_ms": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"ducking_release_ms": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"music_gain": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"voice_gain": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"trim_silence": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"trim_silence_min_sec": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"trim_silence_threshold_db": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"priority": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"primary_asset_id"
],
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ffmpeg-render-social-ad-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.render_social_ad",
"arguments": {
"primary_asset_id": "primary_asset_id_123",
"hook": "",
"headline": "",
"cta": "",
"price": "",
"brand_kit_id": "",
"broll_asset_ids": "",
"voice_asset_id": "",
"music_asset_id": "",
"captions_srt": ""
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ffmpeg.render_social_ad executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}